Bug 105966 - Preset of area style does not respect automatic increment
Summary: Preset of area style does not respect automatic increment
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: 105955
  Show dependency treegraph
 
Reported: 2017-02-12 20:35 UTC by Heiko Tietze
Modified: 2017-08-28 12:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-02-12 20:35:47 UTC
Gradient has an option to automatically determine the number of steps between the two colors. Users can override this option and set, for instance, a small number of steps. Adding the manual configuration as a new preset (as well as modified an existing) works for all properties except the automatic checkbox, which is always on.

In area dialog go to gradient.
Select black and white for the two colors
Uncheck 'automatic' and decrease the number to 8
Add this setting as a new preset
Switch to another preset

Loading the preset has automatic always enabled

Version: 5.3.0.3
Build ID: 5.3.0-2
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: de-DE (en_US.UTF-8); Calc: group
Comment 1 jani 2017-02-13 07:19:31 UTC
skill<foo>, difficulty<foo>, code pointers
Comment 2 Buovjaga 2017-02-19 17:27:35 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 7ec0500e20cf273d70c4fbddb4063b8f8295307c
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 18th 2016
Comment 3 Katarina Behrens (CIB) 2017-03-10 13:42:49 UTC
This is a GSoC-friendly hack. 

The code is in cui/source/tabpages/tpgradnt.cxx. 

The meat is in ChangeGradientHdl_Impl function. Put a breakpoint into it and find out why is the checkbox (m_pCbIncrement) always set to checked/true.
Comment 4 jani 2017-05-14 07:43:10 UTC Comment hidden (obsolete)
Comment 5 Fakabbir amin 2017-05-14 11:44:11 UTC
(In reply to jani from comment #4)
> A polite ping, still working on this bug


Reverting status to NEW, due to other engagement.
Comment 6 Commit Notification 2017-08-12 02:41:48 UTC
pv2k committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfdd81f72c817ad5cb3fb0ec8636f3a8f08e9170

tdf#105966 Solved Increment:Automatic checkbox problem in Area->Gradient tab

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.